%define __libtoolize :

Summary: Vector Font Library
Name: VFlib2
Version: 2.25.6
Release: 3m
Source0: ftp://typehack.aial.hiroshima-u.ac.jp/pub/TypeHack/VFlib2-%{version}.tar.gz
Source1: smpl-vfontcaps.tar.gz
Source2: install-sh
Source3: config.sub
Source4: fortest.tar.gz
Patch0: VFlib2-stdarg.patch
# Patch90: VFlib.ttf.libtool.diff
# Patch91: VFlib.ttf.Makefile.diff
URL: http://TypeHack.aial.hiroshima-u.ac.jp/VFlib/
License: LGPL
Group: System Environment/Libraries
BuildPreReq: freetype-devel, XFree86-devel
Requires: freetype >= 1.1, truetype-fonts-ja
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
VFlib is a font library written in C language with several functions
to obtain bitmaps of fonts.  Unique feature of VFlib is that fonts
in different formats are accessed by unified interface.

%package utils
Summary: Several utilities to manipulate and examine VFlib.
Group: Applications/Publishing
Requires: XFree86-libs
Requires: %name = %{PACKAGE_VERSION}

%description utils
This package contains several utilities which allow you to manupulate
VFlib.  They are mainly useful for debugging and testing purposes,
and are not required for using the VFlib.

%package devel
Summary: Header files and library for development with VFlib.
Group: Development/Libraries
Requires: %name = %{PACKAGE_VERSION}

%description devel
This package is only needed if you intend to develop or
compile applications which rely on the VFlib.
If you simply want to run existing applications, you won't
need this package.

%changelog
* Mon Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (2.25.6-3m)
- revised spec for enabling rpm 4.2.

* Fri Jul 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (2.25.6-2m)
- include stdarg.h instead of varargs.h

* Wed Feb 26 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.25.6-1m)
- version up to 2.25.6
- delete kludge patch0
- comment out Patch90, Patch91

* Mon Jul 30 2001 Toru Hoshina <toru@df-usa.com>
- (2.25.1-12k)
- add alphaev5 support.

* Thu Feb 1 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.25.1-9k)
- modified %clean section (#845)

* Wed Jul 5 2000 Toru Hoshina <t@kondara.org>
- rebuild against rpm 3.0.5.

* Tue Feb 8 2000 Norihito Ohmori <nono@kondara.org>
- Change name to VFlib2
- fix for freetype-1.3.1-3k1
- use %configure to use RPM_OPT_FLAGS

* Tue Feb  7 2000 MATSUDA, Daiki <dyky@df-usa.com>
- update to 2.25.1

* Thu Nov 18 1999 Toru Hoshina <t@kondara.org>
- add alphaev6 support.

* Thu Nov 18 1999 Norihito Ohmori <nono@kondara.org>
- add defattr(-,root,root) in utils & devel (jitter #108)

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sat Oct 30 1999 Norihito Ohmori <ohmori@flatout.org>
- change dependency from TrueTypeFonts_jp to truetype-fonts-ja

* Fri Oct 29 1999 Norihito Ohmori <ohmori@flatout.org>
- add defattr.

* Fri Oct 15 1999 Norihito Ohmori <ohmori@flatout.org>
- sprit VFlib, VFlib-devel and  VFlib-utils

* Mon Oct 11 1999 Norihito Ohmori <ohmori@flatout.org>
- rebuild for FreeType-1.3

* Sat Sep 4 1999 Norihito Ohmori <ohmori@flatout.org>
- Add BuildPreReq: Tag for FreeType

* Mon Jul 26 1999 Jun Nishii <jun@flatout.org>
- updated to 2.24.2
- build for Vine-1.9

* Fri Jul 9 1999 Norihito Ohmori <ohmori@flatout.org>
- spec file fix (patch rejected).

* Tue Jun 29 1999 Norihito Ohmori <ohmori@flatout.org>
- if DynaFont was already installed, use it

* Mon May 24 1999 Norihito Ohmori <ohmori@flatout.org>
- Comment "GS-" entry in vfontcap
 
* Tue May 19 1999 Norihito Ohmori <ohmori@flatout.org>
- add "GS-" entry for Ghostscript xfont extention

* Fri Dec 11 1998 Hideya Hane <pje@linux.or.jp>
- Requires TrueTypeFonts_jp(change from xtt_fonts)

* Sun Nov 29 1998 Jun Nishii <jun@flatout.org>
- dynamic link libttf to libVFlib

* Wed Nov 25 1998 Jun Nishii <jun@flatout.org>
- fix wrong symbolic link of /etc/vfontcap

* Tue Nov 24 1998 Jun Nishii <jun@flatout.org>
- use ttf as default fonts

* Tue Nov 10 1998 Jun Nishii <jun@flatout.org>
- for version 2.24 release 1

* Tue Nov 10 1998 Jun Nishii <jun@flatout.org>
- add descrption -l ja
- tiny bug fix when building vflib

* Fri Sep 25 1998 Jun Nishii <jun@flatout.org>
- first release

%prep
rm -rf %{buildroot}

%setup -q -n VFlib2-${RPM_PACKAGE_VERSION} -T -b 0
%setup -q -n VFlib2-${RPM_PACKAGE_VERSION} -T -D -a 1

%patch0 -p1

cp $RPM_SOURCE_DIR/{install-sh,config.sub} .
chmod 755 install-sh config.sub
#echo `patch -p1 < PATCH.Linux` 2>/dev/null

%build
%configure --with-freetype \
	--with-freetype-includedir=/usr/include/freetype \
	--with-freetype-libdir=/usr/lib

# patch -p1 < %{PATCH0}
# patch -p1 < %{PATCH90}
# patch -p1 <%{PATCH91}

make default_vfontcap=/etc/vfontcap

%install
make prefix=%{buildroot}/usr exec_prefix=%{buildroot}/usr \
bindir=%{buildroot}/usr/bin sbindir=%{buildroot}/usr/sbin \
sysconfdir=%{buildroot}/usr/etc datadir=%{buildroot}/usr/share \
includedir=%{buildroot}/usr/include runtimedir=%{buildroot}/usr/share \
libdir=%{buildroot}/usr/lib \
libexecdir=%{buildroot}/usr/libexec \
localstatedir=%{buildroot}/usr/var \
mandir=%{buildroot}%{_mandir} infodir=%{buildroot}%{_infodir} \
install
#make prefix=%{buildroot}/usr exec_prefix=%{buildroot}/usr install

# /usr/share/VFlib contains only documents
rm -rf %{buildroot}/usr/share/VFlib

# install vfontcaps
RPMFONTDIR=%{buildroot}/usr/share/fonts/

mkdir -p ${RPMFONTDIR}/{TrueType,zeit}
mv smpl-vfontcaps/vfontcap.dfhs78 ${RPMFONTDIR}/TrueType/
mv smpl-vfontcaps/vfontcap.dfhs90 ${RPMFONTDIR}/TrueType/
mv smpl-vfontcaps/vfontcap.ms ${RPMFONTDIR}/TrueType/
mv smpl-vfontcaps/vfontcap.ttc ${RPMFONTDIR}/TrueType/
mv smpl-vfontcaps/vfontcap.ttf ${RPMFONTDIR}/TrueType/
mv smpl-vfontcaps/vfontcap.xtt ${RPMFONTDIR}/TrueType/
mv smpl-vfontcaps/vfontcap.zeit ${RPMFONTDIR}/zeit/
 
# make link to default vfontcap
#mkdir -p %{buildroot}/etc
#(cd %{buildroot}/etc; ln -s /usr/share/fonts/TrueType/vfontcap.xtt vfontcap)

# prepare docs
cp tools/README README.ktest
make clean

# strip binaries
strip %{buildroot}/usr/bin/{bdfindex,fwindex,ktest,ttindex}

# remove unwanting files
rm -f %{buildroot}/usr/share/QA-english.tex
rm -f %{buildroot}/usr/share/QA.txt
rm -f %{buildroot}/usr/share/VF.h
rm -f %{buildroot}/usr/share/man.dvi
rm -f %{buildroot}/usr/share/man.ps
rm -f %{buildroot}/usr/share/vfontcap
rm -f %{buildroot}/usr/share/vfontcap.bdf
rm -f %{buildroot}/usr/share/vfontcap.comp2
rm -f %{buildroot}/usr/share/vfontcap.mgp

%clean
rm -rf %{buildroot} $RPM_BUILD_DIR/%{name}

%post
/sbin/ldconfig

## in the case of Vine Linux CR; Dyna Fonts is selected.
#TTF_DYNA_DIR=/usr/X11R6/lib/X11/fonts/TrueType
#if [ -f $TTF_DYNA_DIR/dfmimp3.ttc ] &&  [ -f $TTF_DYNA_DIR/dfgotp5.ttc ] ; then
#  ln -sf /usr/share/fonts/TrueType/vfontcap.ttc /etc/vfontcap
#else
#  ln -sf /usr/share/fonts/TrueType/vfontcap.xtt /etc/vfontcap
#fi

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES COPYING{,.LIB} DISTRIB.txt INSTALL README.txt{,.JP_EUC}
%doc README.ktest README.ktest dynafont/ doc/
# vfontcap is included in truetype-fonts-ja
#%config /etc/vfontcap
%config /usr/share/fonts/TrueType/vfontcap.dfhs78
%config /usr/share/fonts/TrueType/vfontcap.dfhs90
%config /usr/share/fonts/TrueType/vfontcap.ms
%config /usr/share/fonts/TrueType/vfontcap.ttc
%config /usr/share/fonts/TrueType/vfontcap.ttf
%config /usr/share/fonts/TrueType/vfontcap.xtt
%config /usr/share/fonts/zeit/vfontcap.zeit
/usr/lib/libVFlib2.la
/usr/lib/libVFlib2.so.*

%files utils
%defattr(-,root,root)
/usr/bin/ttindex
/usr/bin/bdfindex
/usr/bin/fwindex
/usr/bin/ktest
/usr/bin/VFlib2-config

%files devel
%defattr(-,root,root)
/usr/include/VF.h
/usr/lib/libVFlib2.so
